<!DOCTYPE html>
<html>
    <head>
        <title>Animation</title>
        <style>
            #sunbeam {
                display: none;
                position: absolute;
                height: 15px;
                width: 15px;
                border-radius: 50%;
                background-color: yellow;
                left: 100px;
                top: 0px;
                animation: jump-paragraphs 3s ease-in-out, change-size 1s alternate infinite;
            }
            @keyframes jump-paragraphs {
                50% {
                    top: 50px;
                }
                100% {
                    top: 100px;
                }
            }
            @keyframes change-size {
                from {
                    width: 15px; height: 15px;
                }
                to {
                    width: 20px; height: 20px;
                }
            }
        </style>
    </head>
    <body>
        <div id="sunbeam"></div>
        <p onclick="launchAnimation()">First paragraph</p>
        <p>Second paragraph</p>
        <p>Third paragraph</p>
        <script>
            var sunbeam = document.getElementById("sunbeam");
            function launchAnimation()
            {
                sunbeam.style.display = "block";
            }
            function endAnimation()
            {
                sunbeam.style.display = "none";
            }
            sunbeam.addEventListener("animationend",endAnimation);
        </script>
    </body>
</html>